org.apache.ignite.internal.util.lang

## Interface GridPeerDeployAware

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GridCacheAtomicReferenceValue, GridCacheAtomicStampedValue, GridifyDefaultRangeTask, GridifyDefaultTask, GridPeerDeployAwareAdapter, GridPeerDeployAwareTaskAdapter, IgniteTxEntry

    public interface GridPeerDeployAware
    extends Serializable

Represents any class that needs to maintain or carry on peer deployment information.

This interface is intended to be used primarily by Ignite's code. User's code can however implement this interface, for example, if it wraps a closure or a predicate and wants to maintain its peer deployment information so that the user class could be peer-deployed as well.

### Method Summary

Methods
`ClassLoader` `classLoader()` Gets class loader for the class.
`Class<?>` `deployClass()` Gets top level user class being deployed.

### Method Detail

#### deployClass

    Class<?> deployClass()

Gets top level user class being deployed.

Returns:
  Top level user deployed class.

#### classLoader

    ClassLoader classLoader()

Gets class loader for the class. This class loader must be able to load the class returned from `deployClass()` as well as all of its dependencies.

Note that in most cases the class loader returned from this method and the class loader for the class returned from `deployClass()` method will be the same. If they are not the same, it is required that the class loader returned from this method still has to be able to load the deploy class and all its dependencies.

Returns:
  Class loader for the class.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017